soundkonverter - port to Qt5/KF5 or remove from zesty archive (please now remove)

Bug #1659926 reported by Rik Mills on 2017-01-27
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
soundkonverter (Ubuntu)
Medium
Andy Whitcroft

Bug Description

This package is currently KDE4 based, and depends on the KDE library:

libkcddb4 (>= 4:4.3.4)

and recommends kio-audiocd

libkcddb4 is replaced by libkf5cddb5 in KDE applications 16.12 now in zesty proposed, and cannot migrate while sources such as this that depend on the old version remain.

libkf5cddb5 would also break the old KDE4 kio-audiocd which soundkonvertor recommends

libkf5cddb5 will be required by upcoming release of KF5 port of K3B which is the default and seeded cd/dvd burner app in kubuntu.

This also blocks The KF5 audiocd-kio now in -proposed, which is required for Dolphin (KDE/kubuntu) file manager to support CD extraction and format conversions.

See: http://jriddell.org/2017/02/11/plasma-sprint-legacy-media-support-in-kde-applications/

I tested the Dolphin support for Jonathan after that sprint to confirm.

debian have not yet dealt with this issue as in unstable they are still on the older KDE applications 16.08.

soundkonvertor is not a upstream supported KDE application, and the KDE libraries it depends on will now be unsupported.

the soundkonverter developer has stated that they will not be doing a KF5/Qt5 port

ref: https://github.com/dfaust/soundkonverter/issues/23

Reverse depends: none
Source and binaries
Release: zesty

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in soundkonverter (Ubuntu):
status: New → Confirmed
Rik Mills (rikmills) wrote :

The KF3 KF5 port that is blocked by the libkcddb4 requirement of soundkonverter, itself includes the CD ripping functionality of soundkonverter.

Audio conversion is also well catered for in other applications in the ubuntu archive.

Please now remove. No upstream movement.

description: updated
description: updated
summary: - Soundkonvertor needs to be ported to Qt5/KF5 or removed from zesty
- archive
+ Soundkonvertor - port to Qt5/KF5 or remove from zesty archive (please
+ now remove)
Andy Whitcroft (apw) on 2017-03-01
summary: - Soundkonvertor - port to Qt5/KF5 or remove from zesty archive (please
+ soundkonverter - port to Qt5/KF5 or remove from zesty archive (please
now remove)
Changed in soundkonverter (Ubuntu):
importance: Undecided → Medium
status: Confirmed → In Progress
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) wrote :

Removing packages from zesty:
        soundkonverter 2.2.2-1 in zesty
                soundkonverter 2.2.2-1 in zesty amd64
                soundkonverter 2.2.2-1 in zesty arm64
                soundkonverter 2.2.2-1 in zesty armhf
                soundkonverter 2.2.2-1 in zesty i386
                soundkonverter 2.2.2-1 in zesty powerpc
                soundkonverter 2.2.2-1 in zesty ppc64el
                soundkonverter 2.2.2-1 in zesty s390x

Changed in soundkonverter (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers